Method: operations.list

Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns UNIMPLEMENTED.

HTTP request

GET https://cloudfunctions.googleapis.com/v1/operations

Query parameters

Parameters
name

string

Must not be set.

filter

string

Required. A filter for matching the requested operations.

The supported formats of filter are:
To query for a specific function:

project:*,location:*,function:*


To query for all of the latest operations for a project:

project:*,latest:true

pageSize

integer

The maximum number of records that should be returned.
Requested page size cannot exceed 100. If not set, the default page size is 100.

Pagination is only supported when querying for a specific function.

pageToken

string

Token identifying which result to start with, which is returned by a previous list call.

Pagination is only supported when querying for a specific function.

returnPartialSuccess

boolean

When set to true, operations that are reachable are returned as normal, and those that are unreachable are returned in the ListOperationsResponse.unreachable field.

This can only be true when reading across collections. For example, when parent is set to "projects/example/locations/-".

This field is not supported by default and will result in an UNIMPLEMENTED error if set unless explicitly documented otherwise in service or product specific documentation.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListOperationsResponse.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudfunctions
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.